> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/pdi-transformation-steps-reference-overview/microsoft-excel-input/options-microsoft-excel-input/error-handling-tab.md).

# Error Handling tab

![Microsoft Excel Input step Error Handling tab](https://3411831820-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FAYwCj9fPr1B2pjC11IOQ%2Fuploads%2Fgit-blob-ceee0b68ee74a37623b710a9b44616285cd17f01%2FPDI_TransStep_Microsoft_Excel_Input_Error_Handling_Tab.png?alt=media)

The **Error Handling** tab allows you to configure the following properties:

| Option                                   | Description                                                                                                                                                                                                                                                                                                                  |
| ---------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Strict types?**                        | Select to have PDI report data type errors while reading.                                                                                                                                                                                                                                                                    |
| **Ignore errors?**                       | Select if you want to ignore errors during parsing. These lines can be dumped to a separate file by specifying a path in **Warnings file directory**, **Error files directory**, and **Failing line numbers files directory**. Clear this option to have lines with errors appear as NULL values in the output of this step. |
| **Skip error lines?**                    | Select to have PDI skip lines that contain errors.                                                                                                                                                                                                                                                                           |
| **Warnings file directory**              | Specify the location of the directory where warnings are placed if they are generated. The name of the resulting file is `<warning dir>/filename.<date_time>.<warning extension>`.                                                                                                                                           |
| **Error files directory**                | Specify the location of the directory where errors are placed if they occur. The name of the resulting file is `<errorfile_dir>/filename.<date_time>.<errorfile_extension>`.                                                                                                                                                 |
| **Failing line numbers files directory** | Specify the location of the directory where parsing errors on a line are placed if they occur. The name of the resulting file is `<errorline dir>/filename.<date_time>.<errorline extension>`.                                                                                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/pdi-transformation-steps-reference-overview/microsoft-excel-input/options-microsoft-excel-input/error-handling-tab.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
